Bug 130811 - deprecated python usage in s-c-printer
Summary: deprecated python usage in s-c-printer
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: 3
Hardware: i586 Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-08-24 21:10 UTC by G.Wolfe Woodbury
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 0.6.113-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-07 16:20:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description G.Wolfe Woodbury 2004-08-24 21:10:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
S-c-printer has, like most of the system-config-* tools, deprecated
python interfaces.  This is what is reported on the screen when run
from the command line.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.109-1

How reproducible:
Always

Steps to Reproduce:
1. install rawhide of 2004-08-23
2. run system-config-printer
3.
    

Actual Results:  /usr/share/printconf/util/editQueue.py:954:
DeprecationWarning: use gtk.ComboBoxEntry
  data_widget = gtk.Combo ()
/usr/share/printconf/util/editQueue.py:958: DeprecationWarning: use
gtk.TreeView
  item = gtk.ListItem (label = val_label)


Additional info:

Comment 1 Tim Waugh 2004-08-31 15:08:10 UTC
Fixed in 0.6.110-1.  Thanks for reporting it.

Comment 2 Tim Waugh 2004-09-06 10:37:04 UTC
Oops, broke it.  I've reverted this change for the time being until I
get more time to test it.

Comment 3 Tim Waugh 2004-09-07 16:20:59 UTC
Fixed properly in 0.6.113-1.


Note You need to log in before you can comment on or make changes to this bug.